#include<iostream>
#include<cmath>
using namespace std;

int f(int n)
{
	int s[1000],i=0;
	while(n>0)
	{
		s[i]=n%8;
		n=n/8;
		i++;
	}
	int t=0;
	for(int j=i-1;j>=0;j--)
	{
		t=t*10+s[j];
	}
	return t;
}

int main()
{
	int n,a;
	cin>>n;
	a=f(n);
	cout<<a;
	
	return 0;
}
